Incidents
GET https://uptime4.com/api/incidents/
curl --request GET \
--url 'https://uptime4.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: comment. |
| datetime_field | オプション 文字列 | 許可される値: start_datetime, end_datetime, last_failed_check_datetime |
| datetime_start | オプション 文字列 | api_documentation.filters.datetime_start |
| datetime_end | オプション 文字列 | api_documentation.filters.datetime_end |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可される値は次のとおりです: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks. |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-04-17 14:18:33",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/incidents?page=1",
"last": "https://uptime4.com/api/incidents?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/incidents?page=1"
}
}
GET https://uptime4.com/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-04-17 14:18:33",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
}
POST https://uptime4.com/api/incidents/{incident_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| comment | オプション 文字列 | - |
curl --request POST \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \